#include <bits/stdc++.h>
using namespace std;
int t, n, m, k, niz[200000], promenljiva;
long long mod;
int main(){
    cin >> t;
    while(t--){
        cin >> n >> m >> k;
        mod = n%k;
        for(int i=1;i<=k;i++){
            niz[i] = n/k;
            if(i<=mod){
                niz[i]++;
            }

        }
        for(int i=1;i<=k;i++){
            n-=niz[i]*(niz[i]+1)/2;
            if(n<0){
                cout << "Nie" << endl;
                continue;
            }
        }
        if(n>=0) cout << "Tak" << endl;
    }
return 0;
}